Summary: oats Time/Project Management System for SME Server
%define name smeserver-oats
Name: %{name}
%define version 2.0.3
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
#Patch1: smeserver-oats-2.0.3-db_httpd_templates-01.patch
#Patch2: smeserver-oats-2.0.3-db_httpd_templates-02.patch
#Patch3: smeserver-oats-2.0.3-db_template-typo.patch
#Patch4: smeserver-oats-2.0.3-db_source-template.patch
Patch0: smeserver-oats-2.0.3-config-dates-updated.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 7.0
BuildRequires: e-smith-devtools
AutoReqProv: no
%description
%name is an implementation of oats (http://www.rustyparts.com/oats.php) 
on SME Server

%changelog
* Sun Feb 03 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- roll back patches for db and httpd templates
- [2.0.3-7]

* Sun Feb 03 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- Dates brought up in config array
- [2.0.3-6]

* Sat Feb 02 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- remove '-' from sv command in spec, add source path to sql
- template
- [2.0.3-5]

* Sat Feb 02 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- fix typo in db init template
- [2.0.3-4]

* Fri Feb 01 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- fix typos and missing '""' quotes in templates.
- [2.0.3-3]

* Fri Feb 01 2008 Craig D. Jensen <craig.d.jensen@gmail.com>
- changes to db, httpd templates and spec to bring up to package
- modification guidelines
- [2.0.3-2]

* Fri Mar 02 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- Name change to reflect SME rpm build naming
- No fuinctional changes. Added gpg signature-key-> import at:
- http://acenet-tech.org/sme/acenettech/RPM-GPG-KEY-cjensen
- [2.0.3-1]

* Sun Dec 17 2006 Craig D. Jensen <craig.d.jensen@gmail.com>
- Changes to provide SME 7.0 compat
- [2.0.3-1cdj]

* Tue Mar 09 2004 Craig D. Jensen <cjensen@acenet-tech.org>
- Initial release
- [2.0.3-cdj]
- Original version

%prep

%setup
%patch0 -p1

%build
#perl createlinks
mkdir -p			  root/etc/e-smith/db/accounts/defaults/oats
echo "reserved" 		> root/etc/e-smith/db/accounts/defaults/oats/type

mkdir -p			  root/etc/e-smith/db/configuration/defaults/oats
echo "service"			> root/etc/e-smith/db/configuration/defaults/oats/type
echo "Time Management"		> root/etc/e-smith/db/configuration/defaults/oats/Name
echo "global-pw-remote"		> root/etc/e-smith/db/configuration/defaults/oats/PublicAccess
echo "enabled"			> root/etc/e-smith/db/configuration/defaults/oats/status

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist \
$RPM_BUILD_ROOT \
> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80oats.sql
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/usr/bin/sv h /service/httpd-e-smith
/bin/chown -R www:www /opt/oats
/bin/chown www:www /opt/oats/print
/bin/chmod 770 /opt/oats/print
/bin/chown root:www /opt/oats/config/*
/bin/chmod 0440 /opt/oats/config/*

echo "Settings to install: 'config show oats'"
/sbin/e-smith/config show oats

%preun

%postun
if [ $1 = 0 ] ; then
    /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
    /usr/bin/sv h /service/httpd-e-smith
fi
